scala.tools.nsc.util

# WorkScheduler

#### class WorkScheduler extends AnyRef

Source
  WorkScheduler.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WorkScheduler
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new WorkScheduler()

### Type Members

1. #### type Action = () ⇒ Unit

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from WorkScheduler to any2stringadd[WorkScheduler] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (WorkScheduler, B)

   Implicit information
     This member is added by an implicit conversion from WorkScheduler to ArrowAssoc[WorkScheduler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def askDoQuickly[A](op: () ⇒ A): InterruptReq { type R = A }

8. #### def cancelQueued(): Unit

   Called from client: cancel all queued actions

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def dequeueAll[T](f: (Action) ⇒ Option[T]): Seq[T]

11. #### def dequeueAllInterrupts(f: (InterruptReq) ⇒ Unit): Unit

12. #### def doQuickly[A](op: () ⇒ A): A

    Called from client: have interrupt executed by server and return result

13. #### def ensuring(cond: (WorkScheduler) ⇒ Boolean, msg: ⇒ Any): WorkScheduler

    Implicit information
      This member is added by an implicit conversion from WorkScheduler to Ensuring[WorkScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (WorkScheduler) ⇒ Boolean): WorkScheduler

    Implicit information
      This member is added by an implicit conversion from WorkScheduler to Ensuring[WorkScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): WorkScheduler

    Implicit information
      This member is added by an implicit conversion from WorkScheduler to Ensuring[WorkScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): WorkScheduler

    Implicit information
      This member is added by an implicit conversion from WorkScheduler to Ensuring[WorkScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from WorkScheduler to StringFormat[WorkScheduler] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def moreWork: Boolean

    called from Server: test whether one of todo list, throwables, or InterruptReqs is nonempty

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### def nextWorkItem(): Option[Action]

    Called from server: get first action in todo list, and pop it off

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def pollInterrupt(): Option[InterruptReq]

30. #### def pollThrowable(): Option[Throwable]

    Called from server: return optional exception posted by client Reset to no exception.

31. #### def postWorkItem(action: Action): Unit

    Called from client: have action executed by server

32. #### def raise(exc: Throwable): Unit

    Called from client: Require an exception to be thrown on next poll.

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### def waitForMoreWork(): Unit

    Called from server: block until one of todo list, throwables or interruptReqs is nonempty

39. #### def →[B](y: B): (WorkScheduler, B)

    Implicit information
      This member is added by an implicit conversion from WorkScheduler to ArrowAssoc[WorkScheduler] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from WorkScheduler to any2stringadd[WorkScheduler]

### Inherited by implicit conversion StringFormat from WorkScheduler to StringFormat[WorkScheduler]

### Inherited by implicit conversion Ensuring from WorkScheduler to Ensuring[WorkScheduler]

### Inherited by implicit conversion ArrowAssoc from WorkScheduler to ArrowAssoc[WorkScheduler]

### Ungrouped